Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlMainWidget Class Reference
[Tulip_Widgets]

`#include <GlMainWidget.h>`

Collaboration diagram for tlp::GlMainWidget:

[legend]
List of all members.

## Public Slots

- void draw (bool graphChanged=true)
- void redraw ()
- void closeEvent (QCloseEvent *e)

## Signals

- void closing (GlMainWidget *, QCloseEvent *)
- void graphRedrawn (GlMainWidget *glWidget, bool graphChanged)
- void viewRedrawn (GlMainWidget *glWidget)
- void viewDrawn (GlMainWidget *glWidget, bool graphChanged)

## Public Member Functions

- GlMainWidget (QWidget *parent, AbstractView *view=NULL)
- ~GlMainWidget ()
- void setData (Graph *graph, DataSet dataSet)
- DataSet getData ()
- void setGraph (Graph *graph)
- Graph * getGraph ()
- View * getView ()
- tlp::GlScene * getScene ()
- void addForegroundEntity (ForegroundEntity *entity)
- void doSelect (const int x, const int y, const int width, const int height, std::vector< tlp::node > &sNode, std::vector< tlp::edge > &sEdge, tlp::GlLayer *layer=NULL)
    select nodes and edges in a region of the screen
- bool doSelect (const int x, const int y, tlp::ElementType &type, tlp::node &, tlp::edge &, tlp::GlLayer *layer=NULL)
    select a node or edge at a point select either a node or edge at point (x,y)
- unsigned char * getImage ()
- bool outputEPS (int size, int doSort, const char *filename)
- bool outputSVG (int size, const char *filename)
- void getTextureShift (int width, int height, float &xTextureShift, float &yTextureShift)
- QGLFramebufferObject * createTexture (const std::string &textureName, int width, int height)
- void createPicture (const std::string &pictureName, int width, int height, bool center=true)
- bool selectGlEntities (const int x, const int y, const int width, const int height, std::vector< tlp::GlEntity * > &pickedEntities, tlp::GlLayer *layer=NULL)
- bool selectGlEntities (const int x, const int y, std::vector< tlp::GlEntity * > &pickedEntities, tlp::GlLayer *layer=NULL)
- virtual QImage grabFrameBuffer (bool withAlpha=false)
- void setViewLabel (bool viewLabel)
- virtual void makeCurrent ()
- void resizeGL (int w, int h)
- void computeInteractors ()
- void drawInteractors ()
- void drawForegroundEntities ()

## Static Public Member Functions

- static void getTextureRealSize (int width, int height, int &textureRealWidth, int &textureRealHeight)
- static QGLWidget * getFirstQGLWidget ()

## Protected Slots

- void paintEvent (QPaintEvent *)
- void viewDrawnSlot (GlMainWidget *glWidget, bool graphChanged)

Tulip Software by LaBRI Visualization Team 2001 - 2010